﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
<%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Detail
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% using(Html.BeginForm("SaveChanges", "Problem")) %>
    <% { %>
    <h2>
        Detail</h2>
    <%
     
        // The Model will be filled via the Controller
        // Maybe we can use here the Problem instead
        // of the ProblemModel. But this must be changed
        // in the Controller too!

        Problem p = ((ProblemModel)Model).Problem;
    %>
    <table border="1">
        <tr>
            <td>
                Id:
            </td>
            <td>
                <%: Html.Label(p.Id.ToString())%>
            </td>
            <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString())%>
        </tr>
        <tr>
            <td>
                Name:
            </td>
            <td>
                <%: Html.TextBox("ProblemName", p.Name, p.Name)%>
            </td>
        </tr>
        <tr>
            <td>
                Description:
            </td>
            <td>
                <%: Html.TextBox("ProblemDescription", p.Description, p.Description)%>
            </td>
        </tr>
        <tr>
            <td>
                DataTypeName:
            </td>
            <td>
                <%: Html.TextBox("ProblemDataTypeName", p.DataTypeName, p.DataTypeName)%>
            </td>
        </tr>
        <tr>
            <td>
                Problem Class:
            </td>
            <td>
                <select name="ProblemClassId">
                    <% foreach(ProblemClass pc in ((ProblemModel)Model).ProblemClasses) {  %>
                        <% if(p.ProblemClassId == pc.Id) { %>
                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
                        <% } else { %>
                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
                        <% } %>
                    <% } %>
                </select>
            </td>
        </tr>
        <tr>
            <td>
                Platform:
            </td>
            <td>
                <select name="PlatformId">
                    <% foreach(Platform pc in ((ProblemModel)Model).Platforms) {  %>
                        <% if(p.PlatformId == pc.Id) { %>
                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
                        <% } else { %>
                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
                        <% } %>
                    <% } %>
                </select>
            </td>
        </tr>
        <tr>
            <td>
                Action:
            </td>
            <td>
                <input type="submit" value="save" />
            </td>
        </tr>
    </table>    
    
    <% } %>

    <% using (Html.BeginForm("UploadFile", "Problem", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {%><br />
        <% Problem p = ((ProblemModel)Model).Problem; %>        
        <table border="1">
            <tr>
                <td>
                    File:
                </td>
                <td>
                    <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString()) %>
                    <input type="file" name="files" id="file2" size="25" /> 
                </td>
            </tr>
            <tr>
                <td>
                    Action:
                </td>
                <td>
                    <input type="submit" value="Upload file" />
                </td>
            </tr>
        </table>                              
        <%: Html.ActionLink("back to Index","Index") %>
        <% } %> 
        

</asp:Content>
